Name:          libosinfo
Version:       1.12.0
Release:       1mamba
Summary:       API for managing information about operating systems, hypervisors and virtual devices
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libosinfo.org/
Source:        https://releases.pagure.org/libosinfo/libosinfo-%{version}.tar.xz
#Source:        https://fedorahosted.org/releases/l/i/libosinfo/libosinfo-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libsoup-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
## AUTOBUILDREQ-END

%description
libosinfo is a GObject based library API for managing information about operating systems, hypervisors and the (virtual) hardware devices they can support. It includes a database containing device metadata and provides APIs to match/identify optimal devices for deploying an operating system on a hypervisor. Via the magic of GObject Introspection, the API is available in all common programming languages with demos for javascript (GJS/Seed) and python (PyGObject). Also provided are Vala bindings.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libosinfo-1.0.so.*
%{_libdir}/girepository-1.0/Libosinfo-1.0.typelib
#%dir %{_datadir}/libosinfo
#%dir %{_datadir}/libosinfo/db
#%{_datadir}/libosinfo/db/*
%doc AUTHORS COPYING COPYING.LIB

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libosinfo-1.0
%dir %{_includedir}/libosinfo-1.0/osinfo
%{_includedir}/libosinfo-1.0/osinfo/*.h
#%{_libdir}/libosinfo-1.0.la
%{_libdir}/libosinfo-1.0.so
%{_libdir}/pkgconfig/libosinfo-1.0.pc
%{_datadir}/gir-1.0/Libosinfo-1.0.gir
#%{_datadir}/libosinfo/schemas/libosinfo.rng
%{_datadir}/vala/vapi/libosinfo-1.0.deps
%{_datadir}/vala/vapi/libosinfo-1.0.vapi
%doc ChangeLog NEWS README

%files tools
%defattr(-,root,root)
#%{_bindir}/osinfo-db-validate
%{_bindir}/osinfo-detect
%{_bindir}/osinfo-install-script
%{_bindir}/osinfo-query
#%{_mandir}/man1/osinfo-db-validate.1*
%{_mandir}/man1/osinfo-detect.1*
%{_mandir}/man1/osinfo-install-script.1*
%{_mandir}/man1/osinfo-query.1*

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/Libosinfo
%{_datadir}/gtk-doc/html/Libosinfo/*

%changelog
* Wed Oct 30 2024 Automatic Build System <autodist@openmamba.org> 1.12.0-1mamba
- automatic version update by autodist

* Sat Oct 28 2023 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Tue Feb 15 2022 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Sun Feb 07 2021 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Sat Jul 11 2020 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sat Feb 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.1-1mamba
- update to 1.7.1

* Thu Aug 29 2019 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Wed Jun 19 2019 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Mon Mar 11 2019 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Sun Sep 09 2018 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Sun Jan 31 2016 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Sat Jun 06 2015 Automatic Build System <autodist@mambasoft.it> 0.2.12-1mamba
- automatic update by autodist

* Fri Sep 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.11-1mamba
- package created using the webbuild interface
